tvbrowser.ui.pluginview

## Class Node

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - tvbrowser.ui.pluginview.Node

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

      public class Node
      extends javax.swing.tree.DefaultMutableTreeNode

  Created by: Martin Oberhauser (martin@tvbrowser.org) Date: 01.01.2005 Time: 21:41:07
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CUSTOM_NODE`
    `static int` | `PLUGIN_ROOT`
    `static int` | `PROGRAM`
    `static int` | `ROOT`
    `static int` | `STRUCTURE_NODE`

    - ### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

      `allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Node(byte type, java.lang.Object object)`
    `Node(int type, java.lang.Object object)`
    `Node(ProgramItem programItem)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionMenu(ActionMenu menu)`
    `ActionMenu[]` | `getActionMenus()`
    `javax.swing.Icon` | `getIcon()`
    `int` | `getLeafCount()`
    `NodeFormatter` | `getNodeFormatter()`
    `NodeFormatter` | `getNodeFormatter(boolean isWeekNodesEnabled)` Gets the NodeFormatter for this node.
    `ProgramReceiveTarget` | `getProgramReceiveTarget()`
    `int` | `getType()`
    `boolean` | `isDirectoryNode()`
    `boolean` | `isLeaf()`
    `boolean` | `isShowLeafCount()`
    `void` | `removeActionMenu(ActionMenu menu)`
    `void` | `removeAllActionMenus()`
    `void` | `setIcon(javax.swing.Icon icon)`
    `void` | `setLeafCount(int leafs)`
    `void` | `setNodeFormatter(NodeFormatter formatter)`
    `void` | `setProgramReceiveTarget(ProgramReceiveTarget receiveTarget)`
    `void` | `setShowLeafCountEnabled(boolean enable)`

    - ### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

      `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROOT

          public static final int ROOT

      See Also:
        Constant Field Values

    - #### PLUGIN_ROOT

          public static final int PLUGIN_ROOT

      See Also:
        Constant Field Values

    - #### PROGRAM

          public static final int PROGRAM

      See Also:
        Constant Field Values

    - #### STRUCTURE_NODE

          public static final int STRUCTURE_NODE

      See Also:
        Constant Field Values

    - #### CUSTOM_NODE

          public static final int CUSTOM_NODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Node

          public Node(byte type,
              java.lang.Object object)

    - #### Node

          public Node(int type,
              java.lang.Object object)

    - #### Node

          public Node(ProgramItem programItem)

  - ### Method Detail

    - #### setIcon

          public void setIcon(javax.swing.Icon icon)

    - #### getIcon

          public javax.swing.Icon getIcon()

    - #### setProgramReceiveTarget

          public void setProgramReceiveTarget(ProgramReceiveTarget receiveTarget)

    - #### getProgramReceiveTarget

          public ProgramReceiveTarget getProgramReceiveTarget()

    - #### setNodeFormatter

          public void setNodeFormatter(NodeFormatter formatter)

    - #### setShowLeafCountEnabled

          public void setShowLeafCountEnabled(boolean enable)

    - #### isShowLeafCount

          public boolean isShowLeafCount()

    - #### getNodeFormatter

          public NodeFormatter getNodeFormatter()

    - #### getNodeFormatter

          public NodeFormatter getNodeFormatter(boolean isWeekNodesEnabled)

      Gets the NodeFormatter for this node.

      Parameters:
        `isWeekNodesEnabled` - If the programs are shown in week orders.
      Returns:
        The node formatter for this node.
      Since:
        2.7

    - #### addActionMenu

          public void addActionMenu(ActionMenu menu)

    - #### removeActionMenu

          public void removeActionMenu(ActionMenu menu)

    - #### removeAllActionMenus

          public void removeAllActionMenus()

    - #### getActionMenus

          public ActionMenu[] getActionMenus()

    - #### getType

          public int getType()

    - #### isLeaf

          public boolean isLeaf()

      Specified by:
        `isLeaf` in interface `javax.swing.tree.TreeNode`
      Overrides:
        `isLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

    - #### setLeafCount

          public void setLeafCount(int leafs)

    - #### getLeafCount

          public int getLeafCount()

      Overrides:
        `getLeafCount` in class `javax.swing.tree.DefaultMutableTreeNode`

    - #### isDirectoryNode

          public boolean isDirectoryNode()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)